# weak_reference_counter Class Reference

Weak Reference counter. More...

`#include <ETL/ref_count>`

List of all members.

## Public Member Functions

| weak_reference_counter ()
| weak_reference_counter (const weak_reference_counter &x)
| weak_reference_counter (const reference_counter &x)
| ~weak_reference_counter ()
weak_reference_counter & | operator= (const reference_counter &rhs)
weak_reference_counter & | operator= (const weak_reference_counter &rhs)
void | detach ()
int | count () const
bool | unique () const
| operator int () const

## Private Attributes

int * | counter_

## Friends

class | reference_counter

## Detailed Description

Weak Reference counter.

See also:
  reference_counter

Todo:
  This needs to be documented

Definition at line 109 of file _ref_count.h.

## Constructor & Destructor Documentation

weak_reference_counter::weak_reference_counter | ( |  | ) | `[inline]`

Definition at line 115 of file _ref_count.h.

weak_reference_counter::weak_reference_counter | ( | const weak_reference_counter & | x | ) | `[inline]`

Definition at line 117 of file _ref_count.h.

weak_reference_counter::weak_reference_counter | ( | const reference_counter & | x | ) | `[inline]`

Definition at line 119 of file _ref_count.h.

weak_reference_counter::~weak_reference_counter | ( |  | ) | `[inline]`

Definition at line 121 of file _ref_count.h.

## Member Function Documentation

weak_reference_counter& weak_reference_counter::operator= | ( | const reference_counter & | rhs | ) | `[inline]`

Definition at line 123 of file _ref_count.h.

References reference_counter::counter_, and counter_.

weak_reference_counter& weak_reference_counter::operator= | ( | const weak_reference_counter & | rhs | ) | `[inline]`

Definition at line 130 of file _ref_count.h.

References counter_.

void weak_reference_counter::detach | ( |  | ) | `[inline]`

Definition at line 137 of file _ref_count.h.

References counter_.

int weak_reference_counter::count | ( |  | ) | const`[inline]`

Definition at line 139 of file _ref_count.h.

References counter_.

Referenced by operator int().

bool weak_reference_counter::unique | ( |  | ) | const`[inline]`

Definition at line 141 of file _ref_count.h.

References counter_.

Referenced by loose_smart_ptr< T >::unique().

weak_reference_counter::operator int | ( |  | ) | const`[inline]`

Definition at line 143 of file _ref_count.h.

References count().

## Friends And Related Function Documentation

friend class reference_counter `[friend]`

Definition at line 111 of file _ref_count.h.

## Member Data Documentation

int* weak_reference_counter::counter_ `[private]`

Definition at line 113 of file _ref_count.h.

Referenced by count(), detach(), operator=(), and unique().

The documentation for this class was generated from the following file:

- _ref_count.h